package cn.com.ctop.common.module.service;

import cn.com.ctop.common.module.entity.MaterialTagInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.system.vo.LoginUser;

import java.util.List;
import java.util.Map;

/**
 * @Description: 素材标签信息
 * @Author: jeecg-boot
 * @Date:   2020-08-27
 * @Version: V1.0
 */
public interface IMaterialTagInfoService extends IService<MaterialTagInfo> {
    Map<String, Object> mark(JSONObject data, LoginUser loginUser);

    Map<String, Object> getTagDetail(MaterialTagInfo materialTagInfo);

    void deleteByCode(String code);

    List<String> getByCode(String signature);

    void updateBySignature(String signature, String md5);
}
